/loan/{loan_id}

Updates a loan.

  • When the loan is SUBMITTED or TO_VALIDATE, all the below fields can be updated.
  • When the loan is VALIDATED or SCHEDULED, the references and to_repay_at fields can be updated.
  • When the loan is TO_REPAY, only the to_repay_at change be changed. The earliest acceptable date being loan.earliest_to_repay_at.

This operation is not available when the loan is in another status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
integer | null
Defaults to null

Loan amount in cents

string
Defaults to null

Defacto ID for the entity lending the money

loan_to
object | null

Bank account receiving the money of the loan

loan_to_references
array of strings | null
Defaults to null

References in the transfer of the loan payment, on the account receiving the money

loan_to_references
metadata
object | null
string | null
enum
Defaults to null

Payment method that should be used to repay this loan. Possible values: ['DIRECT_DEBIT', 'SCT']

Allowed:
repayment_to_references
array of strings

References in the transfer of the loan repayment, on the account receiving the money

repayment_to_references
date-time | null
Defaults to null

Loan disbursement estimated date

date-time | null
Defaults to null

Loan reimbursement estimated date

string | null
Defaults to null

URL of the contract for loans that have been transferred to another lender

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*